#
# spec file for package python-pypdf
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define mod_name pypdf

Name:           python-%{mod_name}
Version:        1.13+20130112
%define tarversion 1.13
Release:        11.5
Url:            http://pybrary.net/pyPdf/
Summary:        PDF toolkit
License:        BSD-2-Clause
Group:          Development/Languages/Python
Source:         pyPdf-%{tarversion}.tar.gz
Patch1:		pypdf_encryption_string_unicode_bug.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif

%description
A Pure-Python library built as a PDF toolkit.  It is capable of:
    
- extracting document information (title, author, ...),
- splitting documents page by page,
- merging documents page by page,
- cropping pages,
- merging multiple pages into a single page,
- encrypting and decrypting PDF files.

By being Pure-Python, it should run on any Python platform without any
dependencies on external libraries.  It can also work entirely on StringIO
objects rather than file streams, allowing for PDF manipulation in memory.
It is therefore a useful tool for websites that manage or manipulate PDFs.

%prep
%setup -q -n pyPdf-%{tarversion}
%patch1 -p1

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README CHANGELOG
%python_sitelib/pyPdf*

%changelog
* Sat Jan 12 2013 jw@suse.com
- bumping version number to 1.13+20130112 to allow Requires: > 1.13
- added pypdf_encryption_string_unicode_bug.patch
  fixing https://bugs.launchpad.net/pypdf/+bug/242756
  The codebase at http://pybrary.net/pyPdf/
  has not accepted any of the 13 pull requests waiting at
  https://github.com/mfenniak/pyPdf/pulls
  The patch above is pull/29 of this set.
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Tue Mar 29 2011 saschpe@suse.de
- Update to 1.13:
  - Fixed a typo in code for reading a "\b" escape character in strings.
  - Improved __repr__ in FloatObject.
  - Fixed a bug in reading octal escape sequences in strings.
  - Added getWidth and getHeight methods to the RectangleObject class.
  - Fixed compatibility warnings with Python 2.4 and 2.5.
  - Added addBlankPage and insertBlankPage methods on PdfFileWriter class.
  - Fixed a bug with circular references in page's object trees (typically
    annotations) that prevented correctly writing out a copy of those pages.
  - New merge page functions allow application of a transformation matrix.
  - To all patch contributors: I did a poor job of keeping this ChangeLog
    up-to-date for this release, so I an missing attributions here for any
    changes you submitted.  Sorry!  I'll do better in the future.
- Cleaned up spec file:
  - Changed license to BSD2c
  - Removed authors
  - Fixed build for non-SUSE distros
  - Added spec license header
  - Use %%%%py_requires macro
* Sat Dec 12 2009 pascal.bleser@opensuse.org
- New package (1.12), based on home:babelworx:python/python-pypdf
